Subject: Re: [DNSOP] WGLC for draft-ietf-dnsop-let-localhost-be-localhost-02
From: Mark Andrews <[email-masked]>
To: Petr Špaček <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Jan 2018 00:19:00 +1100
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

> On 25 Jan 2018, at 9:48 pm, Petr Špaček <[email-masked]> wrote:
> 
> Oh, wait, I just realized one question:
> 
> What about reverse zones for "localhost" addresses specified in
> https://tools.ietf.org/html/rfc6303#section-4.2
> https://tools.ietf.org/html/rfc6303#section-4.3
> 
> It seems to me that it should be handled in similar way, i.e. answered
> with NXDOMAIN.
> 
> RFC 6303 says that we should have empty domain for it, but this part is
> confusing:
>   The recommendation to serve an empty zone 127.IN-ADDR.ARPA is not an
>   attempt to discourage any practice to provide a PTR RR for
>   1.0.0.127.IN-ADDR.ARPA locally.
> 
> PTR is DNS-specific term, so I'm not sure if it is clumsy expression for
> "stub should hardcode the answer" or something else.
> 
> Petr Špaček  @  CZ.NIC

No. It says if there isn’t a zone configured then return NXDOMAIN rather than
recurse to the in-addr.arpa servers. That is different to always /just return
NXDOMAIN.

All the zones listed in RFC 6303 can be overridden locally. The point of RFC 6303
is to stop traffic going to the public server if the zones are not otherwise
configured locally.

> On 24.1.2018 17:19, Petr Špaček wrote:
>> On 22.1.2018 17:18, Suzanne Woolf wrote:
>>> Hi all,
>>> 
>>> This is the opening of the Working Group Last Call for "Let 'localhost' be localhost” (https://www.ietf.org/id/draft-ietf-dnsop-let-localhost-be-localhost-02.txt).
>>> 
>>> We’ll end it in two weeks, on February 5, 2018.
>>> 
>>> Please focus feedback on: Is this draft ready to go to the IESG for approval as an RFC?
>> 
>> Yes, I've reviewed version 02 and it seems ready to me.
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]